Support » Plugins and Hacks » [Resolved] Getting 'WARNING: ' from easy recipe

[Resolved] Getting 'WARNING: ' from easy recipe

  • Hey I’m getting this warning on my xxxxx.com/wp-admin/edit.php?post_type=recipes live website but not on my local. Any help would be great as to remedy this problem.

    Warning: call_user_func_array() expects parameter 1 to be a valid callback, class ‘EasyRecipe’ does not have a method ‘thePost’ in /home/xxxxx/public_html/wp-includes/plugin.php on line 546

    Thanks a lot


Viewing 7 replies - 1 through 7 (of 7 total)
  • Any update on this?


    I have the same problem, alfredk did you find any solution?

    Hey Founds a fix for this one. I put this script in my functions.php
    Everything seems to be working smooth!

    remove_action('the_post', array($this, 'thePost'));

    Alfredk, thanks a lot, works perfectly…

    AlfredK, can you specify where exactly you put the script? Which functions.php file (of the theme, or of wp-includes), and in which line/ place exactly? Sorry, not really familiar with coding…

    Hey Foodfa7, Just paste it at the bottom of your functions.php. I usually put my custom functions at the bottom under some commented out notes.

    // custom function
    remove_action('the_post', array($this, 'thePost'));

    Something like that

    Gooe luck

    Thanks a lot AlfredK – works!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Resolved] Getting 'WARNING: ' from easy recipe’ is closed to new replies.